| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# IG::Num::Experimental::xdouble Struct Reference

Extension of type double by a struct. Provides binary operaror ^ (left operand raised to the power of right operand). More...

Collaboration diagram for IG::Num::Experimental::xdouble:
[legend]

List of all members.

## Public Member Functions
| xdouble (double value)
bool | Equals (xdouble a)
| Returns true if the specified number equals the current number, and false otherwise.
override bool | Equals (object obj)
| Returns true if the specified object equals the current number, and false otherwise.
override int | GetHashCode ()
| Hath function for the xdouble type.
## Static Public Member Functions
static | operator double (xdouble a)
| Conversion form type xdouble to double. Defined as explicit because we don't want to modify operators for type double.
static implicit | operator xdouble (double a)
| Implicit conversion form type double to xdouble.
static implicit | operator xdouble (float a)
| Implicit conversion form type float to xdouble.
static implicit | operator xdouble (int a)
| Implicit conversion form type int to xdouble.
static xdouble | operator^ (xdouble a, xdouble b)
| First operand raised to the power of the second operand.
static xdouble | operator+ (xdouble a, xdouble b)
static xdouble | operator- (xdouble a, xdouble b)
static xdouble | operator* (xdouble a, xdouble b)
static xdouble | operator/ (xdouble a, xdouble b)
static xdouble | operator% (xdouble a, xdouble b)
static xdouble | operator+ (xdouble a)
static xdouble | operator- (xdouble a)
static xdouble | operator++ (xdouble a)
static xdouble | operator-- (xdouble a)
static bool | operator< (xdouble a, xdouble b)
static bool | operator<= (xdouble a, xdouble b)
static bool | operator> (xdouble a, xdouble b)
static bool | operator>= (xdouble a, xdouble b)
static bool | operator== (xdouble a, xdouble b)
static bool | operator!= (xdouble a, xdouble b)
static void | Example ()
| Writes results of some example operations where type xdouble is inbolved.
## Public Attributes
double | Value
| Value.

## Detailed Description

Extension of type double by a struct. Provides binary operaror ^ (left operand raised to the power of right operand).

## Constructor & Destructor Documentation

IG::Num::Experimental::xdouble::xdouble | ( | double | value | ) | `[inline]`

## Member Function Documentation

bool IG::Num::Experimental::xdouble::Equals | ( | xdouble | a | ) | `[inline]`

Returns true if the specified number equals the current number, and false otherwise.

Parameters:

  a | Number that is compared.

Returns:
  True if a equals the current number, false otherwise.

override bool IG::Num::Experimental::xdouble::Equals | ( | object | obj | ) | `[inline]`

Returns true if the specified object equals the current number, and false otherwise.

Parameters:

  a | Object that is compared.

Returns:
  True if a equals the current number, false otherwise.

override int IG::Num::Experimental::xdouble::GetHashCode | ( |  | ) | `[inline]`

Hath function for the xdouble type.

Returns:

static IG::Num::Experimental::xdouble::operator double | ( | xdouble | a | ) | `[inline, explicit, static]`

Conversion form type xdouble to double. Defined as explicit because we don't want to modify operators for type double.

static implicit IG::Num::Experimental::xdouble::operator xdouble | ( | double | a | ) | `[inline, static]`

Implicit conversion form type double to xdouble.

static implicit IG::Num::Experimental::xdouble::operator xdouble | ( | float | a | ) | `[inline, static]`

Implicit conversion form type float to xdouble.

static implicit IG::Num::Experimental::xdouble::operator xdouble | ( | int | a | ) | `[inline, static]`

Implicit conversion form type int to xdouble.

static xdouble IG::Num::Experimental::xdouble::operator^ | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

First operand raised to the power of the second operand.

Parameters:

  a | First operand.
  b | Second operand - power.

static xdouble IG::Num::Experimental::xdouble::operator+ | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator- | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator* | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator/ | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator% | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator+ | ( | xdouble | a | ) | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator- | ( | xdouble | a | ) | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator++ | ( | xdouble | a | ) | `[inline, static]`

static xdouble IG::Num::Experimental::xdouble::operator-- | ( | xdouble | a | ) | `[inline, static]`

static bool IG::Num::Experimental::xdouble::operator< | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static bool IG::Num::Experimental::xdouble::operator<= | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static bool IG::Num::Experimental::xdouble::operator> | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static bool IG::Num::Experimental::xdouble::operator>= | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static bool IG::Num::Experimental::xdouble::operator== | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static bool IG::Num::Experimental::xdouble::operator!= | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

static void IG::Num::Experimental::xdouble::Example | ( |  | ) | `[inline, static]`

Writes results of some example operations where type xdouble is inbolved.

## Member Data Documentation

double IG::Num::Experimental::xdouble::Value

Value.

The documentation for this struct was generated from the following file:

- UtilMath.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events